@import "shared/variables";
@import "css3-mixins";

html, body, div, span,
h1, h2, h3, h4, h5, h6,
p, blockquote, pre, a, abbr,
acronym, address, big, cite, code, del, dfn, em,
img, ins, kbd, small, strike, strong, sub, sup, tt,
var, b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  font-size: 100%;
  background: transparent;
}
body {
  line-height: 1;
}
ol, ul {
  list-style: none;
}
blockquote, q {
  quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

/* end reset */

body {
  background-color: #ededed;
  color: #666;
}

body, p, ol, ul, textarea {
  font-family: $base-font-stack;
  font-size: 12px;
  line-height: 18px;
}

table {
  border-spacing: 0;
  border-collapse: collapse;
}

img {
  border: none;
}

pre {
  padding: 10px;
}

a {
  color: #0197B8;
  text-decoration: none;
}

p {
  margin: 10px 0;
}

a:hover {
  text-decoration: underline;
}

th {
  text-align: left;
}

h1, h2, h3, h4, h5, h6 {
  color: #333;
  margin: 10px 0;
}

h1 { font-size: 18px; }
h2 { font-size: 16px; }
h3 { font-size: 12px; }

caption {
  font-weight: bold;
  margin: 0 0 10px 0;
  text-align: left;
  font-size: 14px;
  color: #666;
  width: 100%;
}

td, th {
  font-size: 11px;
  color: #666;
}
th {
  color: #333;
}

.fieldWithErrors {
  display: inline;
}

#main {
  display: block;
  margin: auto;
}

#report_content {
    padding: 10px 20px;
}

// breadcrumbs styles
#crumbHolder {
  $start-grad: #fcfcfc;
  $end-grad: #f0f0f0;
  padding-top: 11px;
  padding-bottom: 9px;
  #breadcrumb {
    font-size: 0;
    &>a, &>span.last>a {
      font-size: 11px;
      display: inline-block;
      line-height: 21px;
      height: 21px;
      padding: 0 24px 0 12px;
      position: relative;
      background-size: contain;
      &:before {
        position: absolute;
        left: -11px;
        content: '';
        width: 11px;
        height: 21px;
        background-image: url(<%= image_path 'breadcrumbs/deselected_arrow.png' %>);
        background-size: contain;
      }
    }
    &>a {
      color: #555;
      background-image: url(<%= image_path 'breadcrumbs/deselected.png' %>);
      &:first-child {
        border-left: 1px solid #ccc;
        &:before {
          content: none;
          display: none;
        }
      }
    }
    &>span.last {
      &>a {
        color: #fff;
        text-shadow: 0 1px 2px rgba(0,0,0,.3);
        background-image: url(<%= image_path 'breadcrumbs/selected.png' %>);
        padding-right: 12px;

        &:after {
          position: absolute;
          right: -10px;
          content: '';
          width: 11px;
          height: 21px;
          background-image: url(<%= image_path 'breadcrumbs/selected_arrow.png' %>);
          background-size: contain;
        }
        &:before {
          background-image: url(<%= image_path 'breadcrumbs/last_deselected_arrow.png' %>);
        }
      }
    }
  }
}

#tasks .task {
  border-bottom: 1px solid #E2E2E2;
  padding: 10px;
  margin: 0;
}

#tasks .info {
  font-size: 75%;
}

.progress_bar {
  height: 1em;
  text-align: left;
  border: 1px solid gray;
}

.progress_value {
  height: 100%;
  background-color: black;
}

a.stop {
  padding: 2px 0 2px 18px;
  background: url(<%= image_path 'icons/control_stop.png' %>) 0 center no-repeat;
}

div.searchForm {
  float: right;
}

div.props {
}

div.props span.lbl {
  width: 20em;
  color: gray;
  font-weight: bold;
  text-align: right;
}

div.screenshot img {
  float: right;
  border: 6px solid black;
  margin: 12px;
}

div.tag-cloud {
  float: right;
  max-width: 320px;
  text-align: center;
}

input.multitag {
  position: relative;
  top: -6px;
  font-weight: bold;
  font-size: x-small;
}

span.tag {
  background-color: #DDDDDD;
}

span.fontsize0 {font-size: xx-small;}
span.fontsize1 {font-size: x-small;}
span.fontsize2 {font-size: small;}
span.fontsize3 {font-size: medium;}

table.host_tags tr.selected_tag {
  font-weight: bold;
  background-color: #6BC0DF;
}

th.checkbox {
  width: 10px;
}

th.tag-desc { width: 50%; }

th.tag-form-name { width: 20%; }
th.tag-form-desc { width: 60%; }
th.tag-form-attr { width: 20%; }

tr.tag-row { vertical-align: top; }
a.tag-link { font-weight: bold;}

input.align-Rt { float: right; margin-top:5px; }

div.btnRow {
  margin-bottom: 10px;
}

div.btnCol span.btn {
  min-width: 155px;
}

table.list tr.emptyset {
  text-align: center;
  background-color: #EEE;
}

table.info td.key {
  font-weight: bold;
  width: 8em;
}

table#events td {
  vertical-align: top;
}

table#events td .show_hide {
  float: right;
}

table#events .details td {
  font-family: monospace;
}

table#events .details td {
  border: 1px solid #CCC;
}

#popup .window .content {
  padding: 0 10px
}
#page_links {
}

#page_links .index {
  float: right;
}

.workspaces #overview ul {
  padding-left: 0;
  margin: 0;
}

#module_options input[type=checkbox] {
  margin: 0;
}
table#module_options td {
  padding: 2px;
}
table#module_options #session_list td {
  padding: 2px 8px;
}

.loot_info {
  background: #cccccc;
  font-weight: bold;
  border: 1px solid black;
}

.loot_data {
  background: #ffffff;
}

.critical_event {
  background: #FFBE57;
}

.normal_event {

}

.critical_note {
  background: #FFBE57;
}



.center {
  text-align: center;
}

.searchform label {
  font-size: 17px;
  margin-bottom: 10px;
  vertical-align: center;
  padding: 0.5em;
  margin-right: 5px;
  font-weight: bold;
}
.searchform input {
  background: white;
  border: 1px solid #cccccc;
  font-size: 17px;
  vertical-align: center;
  padding: 0.5em;
}

td.timestamp, td.id, .module_list td.type {
  white-space: nowrap;
}

pre.logs {
  height: 300px;
  overflow: auto;
}

.logline_normal {
}
.logline_good {
  color: yellow;
}
.logline_error {
  color: red;
}
.logline_status {
  color: #00FF26;
}
.host_status_scanned {
  background-color: #309C22;
  color: white;
  padding: 2px;
  @include border-radius(6px);
}

.host_status_cracked {
  background-color: #0197B8;
  color: white;
  padding: 2px;
  @include border-radius(6px);
}

.host_status_shelled {
  background-color: #CF3030;
  color: white;
  padding: 2px;
  @include border-radius(6px);
}

.host_status_looted {
  background-color: #5E5E5E;
  color: white;
  padding: 2px;
  @include border-radius(6px);
}

.host_status_shelled a, .host_status_looted a, .host_status_cracked a {
  display: inline-block;
  width: 100%;
  color: #fff;
}

#vulns td.delete {
  width: 60px;
}

#vulns td.delete a {
  visibility: hidden;
}

#vulns tr:hover td.delete a {
  visibility: visible;
}

.mdm-web-vuln-rank {
  @include border-radius(6px);
}

.mdm-web-vuln-rank.high {
  background-color: red;
  color: white;
}

.mdm-web-vuln-rank.medium {
  background-color: orange;
  color: white;
}

.mdm-web-vuln-rank.low {
  background-color: green;
  color: white;
}

.mdm-web-vuln-rank.info {
  background-color: blue;
  color: white;
}

.overview_stats {
  list-style: none;
  font-weight: bold;
}

#mitm_warning {
  font-size: 8pt;
  color: red;
  max-width: 300px;
}

ul.nav_tabs {
  background: #dedede url(<%= image_path 'tabBg.png' %>) left top repeat-x;
  height: 30px;
}

ul.nav_tabs {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

ul.nav_tabs li {
  margin: 0 0px 0 0;
  padding: 0;
  float: left;
  text-align: left;
  border: none;
  background: none;
  height: 30px;
}

ul.nav_tabs li:hover {
  background: url(<%= image_path 'li-hover.png' %>) left top repeat-x;
}

ul.nav_tabs li.sel {
  background: url(<%= image_path 'li-sel.png' %>) left top repeat-x;
  border: none;
  border-left: 1px solid #969696;
  border-right: 1px solid #969696;
}
ul.nav_tabs li.sel.workspaces {
  border-left: 0px;
}

ul.nav_tabs li.sel a {
  color: #333;
}

ul.nav_tabs li a, ul.sub-sub-menu li a.tasks, ul.sub-sub-menu li a.sessions {
  display: block;
  padding: 5px 16px 5px 36px;
  margin: 0;
  color: #069;
  font-size: 13px;
  font-weight: bold;
  background-image: url(<%= image_path 'icons/icoPrim.png' %>);
  background-repeat: no-repeat;
}

ul.nav_tabs li a:hover {
  text-decoration: none;
}

ul.nav_tabs li.workspaces a {
  background-position: 16px 8px;
}
ul.nav_tabs li.analysis a {
  background-position: 16px -32px;
}
ul.nav_tabs li.sessions a {
  background-position: 16px -72px;
}
ul.nav_tabs li.reports a {
  background-position: 16px -112px;
}
ul.nav_tabs li.report_templates a {
  background-position: 16px -112px;
}
ul.nav_tabs li.modules a {
  background-position: 16px -192px;
}
ul.nav_tabs li.tasks a {
  background-position: 16px -232px;
}
ul.nav_tabs li.campaigns a {
  background: url(<%= image_path 'campaigns.png' %>) 16px no-repeat;
}
ul.nav_tabs li.web a {
  background: url(<%= image_path 'webapp.png' %>) 16px no-repeat;
}
/*Image has no copyright: http://www.openclipart.org/detail/17368 */
ul.nav_tabs li.tags a {
  background: url(<%= image_path 'icons/silky/tag_blue.png' %>) 16px no-repeat;
}

div#pageFooter,
div.botRight,
div.botLeft {
  background-image: url(<%= image_path 'pageFooter.png' %>);
  background-repeat: no-repeat;
}

div#pageFooter {
  background-repeat: repeat-x;
  position: relative;
  height: 6px;
}
div.botRight,
div.botLeft {
  position: absolute;
  height: 6px;
  width: 6px;
}
div.botRight {
  top: 0;
  right: 0;
  background-position: 0 -20px;
}
div.botLeft {
  top: 0;
  left: 0;
  background-position: 0 -10px;
}

#footer {
  padding: 10px 15px;
  color: #999;
  min-width: 940px;
  height: 20px;
  position: relative
}
#footer div.productby {
  padding-right: 5px;
  float: right;
  text-align: right;
}
#footer div.version {
  padding-left: 5px;
  float: left;
  text-align: left;
}
#footer div.copyright {
  text-align: center;
}


#main {
  width: 100%;
  min-width: 1000px;
}
div.mainPad {
  padding: 0 15px;
}
div#pageHeader,
div.topRight,
div.topLeft {
  background-image: url(<%= image_path 'pageHeader.png' %>);
  background-repeat: no-repeat;
}

div#pageHeader {
  background-repeat: repeat-x;
  position: relative;
  height: 6px;
  background-position: 0 -24px;
}

div.topRight,
div.topLeft {
  position: absolute;
  height: 6px;
  width: 6px;
}

div#pageHeader h1 {
  margin: 0;
  float: left;
  line-height: 20px;
  font-size: 20px;
  color: #000;
}

div#pageHeader h1 span.title {
  font-size: 18px;
  color: #666;
}

div.topRight {
  top: 0;
  right: 0;
  background-position: 0 -4px;
}

div.topLeft {
  top: 0;
  left: 0;
  background-position: 0 -14px;
}

div#pageHeader form {
  float: right;
  min-width: 300px;
  padding: 0;
}


input#search {
  float: left;
  margin-right: 5px;
}

#content {
  padding: 0;
  float: none;
  width: 100%;
  min-width: 1010px;
}

.workspaces #overview div.stepsHolder {
  margin-bottom: 15px;
}
.workspaces #overview div.stepLead {
  border-bottom: 1px solid #fff;
  width: 49%;
  min-width: 460px;
}
.workspaces #overview div.stepInfo {
  background-color: #fff;
  border: 1px solid #dddddd;
  border-top: 1px solid #cacaca;
  padding: 15px;
  background-image: url(<%= image_path 'steps.png' %>);
  background-repeat: no-repeat;
  min-height: 80px;
}
.workspaces #overview div.step div.stepInfo table#events.list {
  border-left: 0;
  border-right: 0;
  border-top: 0;
}
.workspaces #overview div.chartBox {
  height: 100px;
  background-color: #fff;
  border: 1px solid #dddddd;
  border-top: 1px solid #cacaca;
  padding: 15px;
}
.workspaces #overview h3 {
  font-size: 14px;
  margin: 0 0 10px 0;
  line-height: 14px;
}
.workspaces #overview div.step div.btns {
  padding-top: 10px;
  margin-bottom: 0;
}
.workspaces #overview div.tab_panel {
  padding: 10px;
}
.workspaces #overview #dashboard div.btns {
  padding: 5px 0 10px;
}

.whiteCover {
  background: #fff;
  min-height: 300px;
}

.pad8 {
  padding: 8px;
}
#discovery {
  background-position: right 10px;
}
#penetration {
  background-position: right -140px;
}
#evidence {
  background-position: right -290px;
}
#cleanup {
  background-position: right -481px;
}
#phishing.stepInfo {
  background-position: right -690px;
}

.begin {
  background:#fff url(<%= image_path 'begin.png' %>) 0 0 repeat-x;
}

span.btn {
  background: #d8d9d9 url(<%= image_path 'btnBg.png' %>) left top repeat-x;
  border: 1px solid #e3e4e4;
  border-right: 1px solid #a7a8a8;
  border-bottom: 1px solid #a7a8a8;
  display: inline-block;
  padding: 0;
  margin-right: 5px;
}

span.btn:hover {
  background: #d8d9d9 url(<%= image_path 'btnHover.png' %>) left top repeat-x;
}
span.btn:active {
  background: #d8d9d9 url(<%= image_path 'btnActive.png' %>) left top repeat-x;
}

span.btn a:hover {
  text-decoration: none;
}
span.btn a,
span.btn input {
  background: none;
  padding: 1px 10px 1px 28px;
  background-color: none;
  background-image: url(<%= image_path 'icons/linkBtn.png' %>);
  background-repeat: no-repeat;
  font-family: $base-font-stack;
  font-size: 11px;
  font-weight: bold;
  color: #333;
  display: block;
  white-space: nowrap;
  width: auto;
  overflow: visible;
  float: left;
  height: 20px;
  border: 0px solid #FFFFFF; /* necessary for background img in IE7 */
}

span.btn a {
  height: 18px;
}

span.btn input {
  cursor: pointer;
  padding: 0px 10px 2px 28px;
}
span.btn .scan {
  background-position: 0 0px;
}
span.btn .import {
  background-position: 0 -40px;
}
span.btn .nexpose {
  background-position: 0 -80px;
}
span.btn .brute {
  background-position: 0 -120px;
}
span.btn .exploit {
  background-position: 0 -160px;
}
span.btn .shell, a.shell_icon {
  background-image: url(/assets/icons/silky/terminal.png);
  background-position: 6px 2px;
}
a.shell_icon {
  float: right;
  display: inline-block;
  width: 16px;
  height: 16px;
  background-repeat: no-repeat;
  position: relative;
  top: 1px;
  background-position: 0 0;
}
span.btn .collect {
  background-position: 0 -200px;
}
span.btn .standard_report {
  background-position: 0 -1000px;
}
span.btn .custom_report {
  background-position: 0 -1040px;
}
span.btn .export_data {
  background-position: 0 -1080px;
}
span.btn .reports {
  background-image: url(<%= image_path 'icons/icoPrim.png' %>);
  background-repeat: no-repeat;
  background-position: 6px -116px;
}
span.btn .cleanup {
  background-position: 0 -240px;
}
span.btn .edit {
  background-position: 0 -280px;
}
span.btn .delete {
  background-position: 0 -320px;
}
span.btn .deleteAll {
  background-position: 0 -360px;
}
span.btn .download {
  background-color: none;
  background-image: url(<%= image_path 'icons/download.png' %>);
  background-repeat: no-repeat;
  background-position: 7px 0px;
}
span.btn .new {
  background-position: 0 -400px;
}
span.btn .back {
  background-position: 0 -480px;
}
span.btn .cancel {
  background-position: 0 -520px;
}
span.btn .login {
  background-position: 0 -560px;
}
span.btn .search {
  background-position: 0 -600px;
}
span.btn .save {
  background-position: 0 -640px;
}
span.btn .pass, span.btn .register {
  background-position: 0 -680px;
}
span.btn .tunnel {
  background-position: 0 -720px;
}
span.btn .emailtemplate {
  background-position: 0 -760px;
}
span.btn .webaudit {
  background-position: 0 -801px;
}
span.btn .webscan {
  background-position: 0 -841px;
}
span.btn .websploit {
  background-position: 0 -882px;
}
span.btn .webtemplate {
  background-position: 0 -960px;
}
span.btn .wizard_next {
  background-image: url(<%= image_path 'icons/action_forward.gif' %>);
  background-position: 4px 2px;
}
span.btn .wizard_back {
  background-image: url(<%= image_path 'icons/action_back.gif' %>);
  background-position: 4px 2px;
}

a.report_template_update {
  background-color: none;
  background-image: url(<%= image_path 'icons/upload.png' %>);
  background-repeat: no-repeat;
  padding: 2px 0px 2px 18px;
}


a.report_artifact_view {
  background-color: none;
  background-image: url(<%= image_path 'icons/view.png' %>);
  background-repeat: no-repeat;
  padding: 2px 0px 2px 18px;
}

a.report_artifact_download, a.export_download {
  background-color: none;
  background-image: url(<%= image_path 'icons/download.png' %>);
  background-repeat: no-repeat;
  padding: 2px 0px 2px 18px;
}

a.software_download {
  background-color: none;
  background-image: url(<%= image_path 'icons/icoPrim.png' %>);
  background-position: 16px -72px;
  background-repeat: no-repeat;
  padding: 2px 0px 2px 18px;
}

div.sep {
  border-right: 1px solid #BABABA;
  display: inline-block;
  padding-right: 10px;
  margin-right: 10px;
  height: 22px;
}

.list-table-footer {
}

table.list {
  width: 100%;
  background: #fff;
  border: 1px solid #ccc;
  @include border-radius(5px);
}

table.list thead th {
  border-bottom: 1px solid #ccc;
  border-top: 1px solid #ccc;
  border-right: 1px solid #ccc;
  padding: 6px 20px 6px 7px;
  line-height: 16px;
}

table.list thead {
  @include border-radius(5px);
}

table.list th.checkbox {
  padding: 0;
  text-align: center;
}

table.list tbody tr {
  // border-bottom: 1px solid #ddd;
  &:last-child {
    border-bottom: 0;
  }
  &:hover {
    background: $table-row-hover-color;
  }
}

table.list tr td {
  &.truncate {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}

table.list tr td:last-child {
  border-right: none;
}

table.list span.hidden.settings-url {
  display: none;
}

table.list th:last-child {
  border-right: none;
}

table.list thead tr {
  background-image: linear-gradient(rgb(255, 255, 255), rgb(223, 223, 223));
  text-transform: uppercase;
}

th.sorted a, th.sorted span {
  background-image: url(<%= image_path 'icons/sort.png' %>);
  background-repeat: no-repeat;
  padding-right: 15px;
}

th.sorted .asc {
  background-position: right 3px;
}

th.sorted .desc {
  background-position: right -17px;
}

table.list td {
  padding: 3px 8px;
}

table.list td.delete {
  vertical-align: center;
  text-align: center;
}

#tasks table.list td {
  padding: 7px 8px;
}

table.fields th, table.fields td {
  vertical-align: top;
}
table tr.fields td {
  padding: 7px 8px;
}

div.props span.lbl {
  color: #333;
}

div#taskDetails table.list td {
  padding: 15px 8px;
  background: #fff url(<%= image_path 'begin.png' %>) 0 0 repeat-x;
}

div#taskDetails {
  margin-bottom: 10px;
}

ul.workspaces {
  border: 1px solid #ddd;
  border-bottom: none;
  background: #fff;
  padding: 0;
  margin: 0;
}
ul.workspaces li {
  background-color: #fff;
  border-bottom: 1px solid #ddd;
  list-style-type: none;
}
ul.workspaces li .title {
  margin: 10px;
  font-size: 20px;
  font-weight: bold;
}
ul.workspaces li .title a {
  text-decoration: none;
  vertical-align: top;
}
ul.workspaces li .title a:hover {
  text-decoration: underline;
}
ul.workspaces li .summary {
  margin: 10px 0;
  font-size: 12px;
  display: inline;
}
ul.workspaces li .summary a:hover {
  background-color: #ddd;
  text-decoration: none;
}
ul.workspaces li .summary a {
  text-decoration: none;
  color: #333;
  border: 1px solid #ddd;
  padding: 5px;
  margin-right: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
}
ul.workspaces li .actions {
  float: right;
}
ul.workspaces li .actions a:hover {
  text-decoration: none;
}
ul.workspaces li .desc {
  margin: 10px;
  font-size: 12px;
  color: #333;
  line-height: 16px;
  min-height: 1em;
}

div#page_links {
  border-right: 1px solid #dddddd;
  border-left: 1px solid #dddddd;
  border-bottom: 1px solid #dddddd;
  padding: 2px 8px;
  background: url(<%= image_path 'th.png' %>) left top repeat-x;
  font-size: 11px;
  color: #333;
  font-weight: bold;
}

#page_links .index {
  float: none;
}

$tab-border-color: #ccc;
ul.tabs {
  margin: 8px 0 0 0;
  padding: 0;
}

div.tab_panel {
  background-color: white;
  border-top: 1px solid $tab-border-color;
  padding-top: 10px;
}

ul.tabs li.tab {
  position: relative;
  top: 1px;
  margin-right: 4px;
  display: inline;
  padding: none;
  margin: none;
  list-style: none;
  padding: 0;
  a {
    padding: 8px 18px 8px 30px;
    @include border-radius-separate(4px, 4px, 0, 0);
    border: 1px solid #fff;
    border-bottom: none;
    display: inline-block;
    text-decoration: none;
    color: #666;
    &.active {
      border: 1px solid $tab-border-color;
      background-color: white;
      border-bottom: 1px solid white;
      color: #333;
    }
    &:hover {
      background-color: #fafafa;
    }
    &.active:hover {
      background-color: white;
    }
    &.loot {
      background-position: 2px -193px;
    }
    &.history {
      background-position: 2px -1034px;
    }
    &.post {
      background-position: 2px 6px;
    }
  }
}

ul.tabs li.tab a, #workspace_nav ul.nav_tabs li ul.sub-menu li a, ul.sub-sub-menu li a {
    background-image: url(<%= image_path 'icons/linkBtn.png' %>);
  background-color: none;
  background-repeat: no-repeat;
  $left: 8px;
  $top: 9px;
  &.hosts {
    background-image: url(<%= image_path 'icons/silky/server.png' %>);
    background-position: $left $top;
  }

  &.loots {
    background-image: url(<%= image_path 'icons/silky/briefcase.png' %>);
    background-position: $left $top;
  }

  &.notes {
    background-image: url(<%= image_path 'icons/silky/note.png' %>);
    background-position: $left $top;
  }

  &.vulnerabilities {
    background-position: 4px -153px;
  }

  &.map {
    background-image: url(<%= image_path 'icons/silky/map.png' %>);
    background-position: $left $top;
  }
  &.services {
    background-position: $left - 4px $top - 2px;
  }
}
span.current {
  border: 1px solid #adc2cf;
  background: #fff;
  padding: 0 5px;
}

.float-Lt {
  float: left;
}

.float-Rt {
  float: right;
}

.clearfix:after {
  content: ".";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;

}
.clearfix {
  zoom: 1;
}


#flash_messages {
  a.close.success{
    cursor: pointer;
    float:right;
    padding: 2px 10px 0px 0px;
    color: #acecc1;

    &:hover{
      color: #1c783b;
      text-decoration: none;
    }
  }

  a.close.failure{
    color:#E0CDCD;
    float:right;
    padding: 2px 10px 0px 0px;

    &:hover{
      color: #B8A8A8;
      text-decoration: none;
    }

  }

}

div.success,
div.errors {
  font-size: 18px;
  padding: 15px 15px 15px 50px;
  margin-bottom: 10px;
}

div.success {
  border: 1px solid #c1e9c5;
  color: #1c783b;
  background:#e2fae5 url(<%= image_path 'icons/success.png' %>) 5px center no-repeat;
}

div.errors {
  border: 1px solid #f8bdbe;
  color: #ae1f24;
  background:#ffe8e9 url(<%= image_path 'icons/error.png' %>) 5px center no-repeat;
}

#popup_errors div.errors {
  border: 1px solid #f8bdbe;
  color: #ae1f24;
  background:#ffe8e9 url(<%= image_path 'icons/error.png' %>) 5px center no-repeat;
  width: 400px;
}

#popup_errors div.errors p  {

}

img.os_icon {
  float: left;
  margin-right: 5px;
}

a.remove {
  margin-left: 5px;
  padding-left: 15px;
  background: url(<%= image_path 'icons/remove.png' %>) left center no-repeat;
  height: 15px;
}

.progress_bar {
  background-color: none;
  height: 8px;
  text-align: left;
  border: 1px solid #c2c2c2;
  border-bottom: 1px solid #e9e9e9;
  border-right: 1px solid #e9e9e9;
  background: url(<%= image_path 'progress_bar.png' %>) left center repeat-x;
  float: right;
  width: 72%;
  margin-top: 4px;
}

.progress_value {
  height: 8px;
  border: none;
  background: url(<%= image_path 'completed.png' %>) left center repeat-x;
}

#tasks .progress .remaining {
  border: solid 1px grey;
}
#tasks th.progress {
  text-align: center;
}
.progress_percent {
  font-size: 20px;
  float: left;
  width: 23%;
}
.progress_value {
  height: 100%;
  background-color: black;
}


#tasks .done,
#tasks .error {
  line-height: 24px;
  padding: 0 5px 0 22px;
  font-weight: bold;
  display: inline-block;
  margin: 0 auto;
}

#tasks .paused {
  color: #ff6200;
}

#tasks .done {
  color: #393;
  background: url(<%= image_path 'icons/complete.png' %>) 0px center no-repeat;
}

#tasks .error {
  color: #c33;
  background: url(<%= image_path 'icons/incomplete.png' %>) 0px center no-repeat;
}


#popup .body-disabled-overlay{
  position: relative;
  margin-bottom: 20px;
  margin-right:15px;
  padding-left: 40px;
}

#popup .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #e5e5e5;
  filter: alpha(opacity=90);
  opacity: 0.90;
  z-index: 1;
}

#popup .window {
  position: absolute;
  top: 15%;
  left: 10%;
  background:#e0edf1 url(<%= image_path 'title-bg.png' %>) left top repeat-x;
  border: 1px solid #cacaca;
  border-right: 2px solid #9f9f9f;
  border-bottom: 2px solid #9f9f9f;
  z-index: 2;
}

#popup .window .title_bar {
  font-weight: bold;
  font-size: 14px;
  color: #333;
  margin: 8px 10px;
}

#popup .window .content {
  padding: 10px 10px 20px 10px;
  background:#fff url(<%= image_path 'begin.png' %>) 0 0 repeat-x;
  border: 1px solid #ddd;
}

#popup .window label {
  display: block;
  font-size: 12px;
  font-weight: bold;
  color: #333;
}

#popup .window label.inline {
  display: inline;
}

.mar-tb10 {
  margin: 10px 0;
}
.mar-bot10 {
  margin: 0 0 10px 0;
}

p.noscript_warning {
  color: red;
  text-align: center;
}

body#login {
}


.loginBox form {
  margin: 15px 0;
}
.loginBox label {
  display: block;
  padding: 3px 0 0 0;
}
.loginBox input {
  width: 230px;
}
.loginBox p {
  margin: 0 0 15px 0;
}
.loginBox h2 {
  margin: 0;
}
.loginBox span.forgot {
  display: inline-block;
}
.loginBox a.forgot {
  float: left;
}





pre.console {
  color: #eee;
  background-color: #000;
  font-size: 11px;
}

pre.session_command {
  color: #111;
  background-color: #ccffcc;
  font-size: 11px;
  font-weight: bold;
}

pre.session_output {
  color: #111;
  background-color: #eeeeee;
  font-size: 11px;
}

pre.session_upload {
  color: #111;
  background-color: #ffccbb;
  font-size: 11px;
  font-weight: bold;
}

pre.session_download {
  color: #111;
  background-color: #ffccbb;
  font-size: 11px;
  font-weight: bold;
}

pre.session_filedelete {
  color: #111;
  background-color: #ffccbb;
  font-size: 11px;
  font-weight: bold;
}

#errorExplanation {
  width: 480px;
  border: 1px solid #ffda85;
  padding: 10px;
  margin-bottom: 20px;
  background-color: #fff2d4;
}

#errorExplanation h2 {
  text-align: left;
  font-weight: normal;
  padding: 8px 5px 8px 45px;
  font-size: 18px;
  margin: 0 0 10px 0;
  color: #b46406;
  background: url(<%= image_path 'icons/alert.png' %>) left center no-repeat;
}

#errorExplanation p {
  color: #333;
  margin: 0 0 10px 45px;
  padding: 5px;
}

#errorExplanation ul {
  margin: 0 0 10px 45px;
  padding-left: 30px;
}

#errorExplanation ul li {
  font-size: 12px;
  list-style: disc;
}

div#license_expired {
  size: 18px;
  color: red;
  background: url(<%= image_path 'icons/alert.png' %>) left center no-repeat;
  padding: 10px 10px 10px 45px;
  margin: 10px 15px;
}

.inline_fields label {
  width: 100px;
  text-align: right;
  display: inline-block;
  margin-right: 6px;
  font-weight: bold;
}

#update_status {
  margin: 10px;
}
#update_status ol {
  padding-left: 0px;
}
#update_status li {
  font-size: 16px;
  margin: 10px;
  padding-left: 24px;
  line-height: 32px;
  list-style: none;
}
#update_status li.complete {
  background: url(<%= image_path 'icons/complete.png' %>) left center no-repeat;
}
#update_status li.running {
  background: url(<%= image_path 'spinner.gif' %>) left center no-repeat;
}

#license {
  line-height: 22px;
}
#license .license_file {
  background-color: white;
  padding: 10px;
  border: 1px solid #ddd;
}
#license h2, body#activation.licenses #license h2, body#index.licenses #license h2 {
  margin: 0 0 10px;
}

#license div.field {
  margin-bottom: 10px;
}

#license div.label {
  font-size: 14px;
  width: 8em;
  display: inline-block;
  text-align: right;
  vertical-align: top;
}

#license div.value {
  font-size: 16px;
  padding-left: 10px;
  display: inline-block;
}

label.all {
  font-style: italic;
}

input.placeholder, textarea.placeholder {
  color: grey;
}

div.navigation {
  text-align: right;
}

form dt {
  margin-bottom: 5px;
}
form dt label {
  font-weight: bold;
}
form dl {
  margin-bottom: 10px;
}
form h2 {
  padding-bottom: 10px;
  border-bottom: 1px dotted #333;
}
form fieldset {
  background-color: #fff;
  border: 1px solid #ddd;
  padding: 5px 30px;
  margin-bottom: 10px;
  float: left;
}

h2.formstyle {
  padding-bottom: 10px;
  border-bottom: 1px dotted #333;
}

fieldset.enclosed {
  float: none;
  border: 0px;

}
form dt input[type=checkbox] {
  margin-left: 0;
}

div.one_col_no_sidebar fieldset {
  float: none;
}

div.two_col_with_sidebar fieldset, div.one_col_with_sidebar fieldset {
  width: 570px;
}
div.two_col_with_sidebar div.col1 {
  width: 280px;
  float: left;
}
div.two_col_with_sidebar div.col2 {
  width: 280px;
  float: right;
}
div.two_col_with_sidebar div.sidebar, div.one_col_with_sidebar div.sidebar {
  margin-left: 630px;
}
div.one_col_with_sidebar div.col1 {
  width: 560px;
}

#popup div.one_col_with_sidebar fieldset {
  width: 300px;
}
#popup div.one_col_with_sidebar div.sidebar {
  margin-left: 290px;
}

div.sidebar {
  padding-top: 45px;
  margin: 0 10px 0 630px;
  text-align: left;
}

div.sidebar_nopad {
  padding-top: 0px;
  margin: 0 10px 0 630px;
  text-align: left;
}

div.popup_sidebar_nopad {
  padding-top: 0px;
  margin: 0 10px 0 400px;
  text-align: left;
}

form {
  clear: both;
}
div.one_col_with_sidebar, div.two_col_with_sidebar {
  width: 100%;
  overflow: auto;
}
form fieldset div.buttons, form fieldset div.actions {
  padding-top: 10px;
}
form div.buttons, form div.actions {
  width: 100%;
  overflow: auto;
  height: 27px; /* for IE7 */
}
form div.sidebar ul {
  list-style: disc inside;
  padding-left: 10px;
}

#popup form fieldset {
  border: none;
  padding: 0px;
}
#popup form div.sidebar {
  padding-top: 0px;
}
#popup div.one_col_with_sidebar div.col1 {
  width: auto;
}

div.text_link_row {
  text-align: center;
  padding-top: 2px;
  font-size: 80%;
}

div.errorBox {
  padding: 20px;
  background-color: #fff;
  margin-top: 10px;
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  border-radius: 8px;
}
div.errorBox a.support_link {
  float: right;
}

table#attachments {
  width: 100%;
}

table#attachments tr {
  border: 1px solid #DDDDDD;
}

table#references {
  width: 60%;
}

#sessions table#active_sessions a.session {
  background: url(<%= image_path 'icons/silky/lightning_go.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

#sessions table#closed_sessions a.session {
  background: url(<%= image_path 'icons/silky/application_view_list.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

#sessions table a.reopen {
  background: url(<%= image_path 'icons/silky/bullet_go.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

a.icon_folder {
  background: url(<%= image_path 'icons/silky/folder.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

a.icon_door_out {
  background: url(<%= image_path 'icons/silky/door_out.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

a.icon_text {
  background: url(<%= image_path 'icons/silky/page_white_text.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

a.icon_picture {
  background: url(<%= image_path 'icons/silky/picture.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

a.icon_application {
  background: url(<%= image_path 'icons/silky/application.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

a.icon_dll {
  background: url(<%= image_path 'icons/silky/page_white_gear.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

a.icon_doc {
  background: url(<%= image_path 'icons/silky/page_white_word.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

a.icon_xls {
  background: url(<%= image_path 'icons/silky/page_white_excel.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

a.icon_file {
  background: url(<%= image_path 'icons/silky/page_white.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

a.icon_ppt {
  background: url(<%= image_path 'icons/silky/page_white_powerpoint.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

a.icon_pdf {
  background: url(<%= image_path 'icons/silky/page_white_acrobat.png' %>) 0 center no-repeat;
  padding: 2px 0 0 20px;
}

.invisible {
  display: none;
}


/* Zurb grid does not have width when height is 0px; */
.columns.empty{
  height: 1px;
  visibility: hidden;
}
